using Model;
using Newtonsoft.Json.Linq;
using NuGet.Frameworks;

namespace TestUnitaires
{

    public class TU_Artist
    {
        [Theory]
        [InlineData("Hugo TSR")]
        [InlineData(null)]
        [InlineData("Hugo TSRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRR")]
        public void TU_Attributes(string name)
        {
            Assert.True(name != null && name.Length < 75);
        }

        [Theory]
        [InlineData("Hugo TSR")]
        [InlineData(null)]
        [InlineData("Hugo TSRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRR")]
        public void TU_Methods(string name)
        {
            Artiste a = new Artiste(name);
            Album a1 = new Album("Fentre sur Rue", "album2. jpg", a, "Un banger", "Sortie : 2012");
            List<Album> verif = new List<Album>();
            verif.Add(a1);
            a.AddAlbum(a1);
            Assert.True(a.Albums ==  verif);

        }
    }

}